﻿@model PagedList<DomainModels.Entities.Financial.UserRialAccount>

@{
    ViewBag.Title = "لیست حساب های ریالی";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserId)
                    </th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().ShabaNumber)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().CardNumber)
					</th>
					<th>
						@Html.DisplayNameFor(model => model.Data.First().AccountNumber)
					</th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().BankId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().AccountAcceptStatusId)
                    </th>
                    <th></th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data) {
				<tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.User.FullName)
                    </td>
					<td>
						@Html.DisplayFor(modelItem => item.ShabaNumber)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.CardNumber)
					</td>
					<td>
						@Html.DisplayFor(modelItem => item.AccountNumber)
					</td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Bank.Name)
                    </td>
					<td>
						@Html.ShowAccountAcceptStatus(item.AccountAcceptStatus)
					</td>
					<td>
						@if (item.AccountAcceptStatus.Name == DomainModels.Entities.Financial.AccountAcceptStatusName.Declined)
	                    {
		                    @Html.ShowForm("id", item.Id.ToString(), "تایید", "btn btn-success", "Accept", "UserRialAccount", "Admin", "")
                        }
                        else if (item.AccountAcceptStatus.Name == DomainModels.Entities.Financial.AccountAcceptStatusName.Pending)
                        {
                            @Html.ShowForm("id", item.Id.ToString(), "تایید", "btn btn-success", "Accept", "UserRialAccount", "Admin", "")
                            <text>&nbsp;&nbsp;&nbsp;&nbsp;</text>
                            @Html.ShowForm("id", item.Id.ToString(), "رد", "btn btn-danger", "Decline", "UserRialAccount", "Admin", "")
                        }
                        else if (item.AccountAcceptStatus.Name == DomainModels.Entities.Financial.AccountAcceptStatusName.Accepted)
                        {
                            @Html.ShowForm("id", item.Id.ToString(), "رد", "btn btn-danger", "Decline", "UserRialAccount", "Admin", "")
                        }
                    </td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index", new { acceptStatusName = Request["acceptStatusName"] }), true)
			
	</div>
</div>
